<?php
$wp_customize->add_section(
    'call_now_section',
    array(
        'title' => __( 'Call Now Section', 'Luzuk' ),
        'panel' => 'luzuk_premium_home_panel'
    )
);

$wp_customize->add_setting(
    'call_now_section_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'call_now_section_disable',
        array(
            'settings'      => 'call_now_section_disable',
            'section'       => 'call_now_section',
            'label'         => __( 'Disable/ Enable Section', 'Luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'Luzuk' ),
                'off' => __( 'No', 'Luzuk' )
            ),
        )
    )
);

BackgroundManager($wp_customize, 'call_now', 'call_now_section', $color='#f4f5f0', get_template_directory_uri().'/images/callbg.jpg', 'color');


lzCustomLable($wp_customize, 'call_now_Overlay', 'call_now_section', 'Section Overlay');

$wp_customize->add_setting(
    'call_now_areaOpacity',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '1', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'call_now_areaOpacity',
    array(
        'settings'      => 'call_now_areaOpacity',
        'section'       => 'call_now_section',
        'type'          => 'text',
        'label'         => __( 'Opacity', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'call_now_titleolaycle', 'call_now_section', 'Section Overlay Color', '#fff'); 

lzCustomLable($wp_customize, 'sec_call_nowpadding', 'call_now_section', 'Section Padding');

$wp_customize->add_setting(
    'call_nowTpadding', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '7em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'call_nowTpadding',
    array(
        'settings'      => 'call_nowTpadding',
        'section'       => 'call_now_section',
        'type'          => 'text',
        'label'         => __( 'Top', 'Luzuk' )
    )
);
$wp_customize->add_setting(
    'call_nowBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '7em', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'call_nowBpadding',
    array(
        'settings'      => 'call_nowBpadding',
        'section'       => 'call_now_section',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'Luzuk' )
    )
);


$wp_customize->add_setting(
    'call_now_title_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'call_now_title_heading',
        array(
            'settings'      => 'call_now_title_heading',
            'section'       => 'call_now_section',
            'label'         => __( 'Section Heading ', 'Luzuk' ),
        )
    )
);   

$wp_customize->add_setting(
    'call_now_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'CALL NOW', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'call_now_title',
    array(
        'settings'      => 'call_now_title',
        'section'       => 'call_now_section',
        'type'          => 'text',
        'label'         => __( 'Section Heading ', 'Luzuk' )
    )
);
addColorPalatOption($wp_customize, 'call_now_headclr', 'call_now_section', 'Section Heading Color', '#1d62b8'); 


$wp_customize->add_setting(
    'cn_phone',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '123-123-4513', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'cn_phone',
    array(
        'settings'      => 'cn_phone',
        'section'       => 'call_now_section',
        'type'          => 'text',
        'label'         => __( 'Section Phone No.', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'call_now_subheadclr', 'call_now_section', 'Section Phone No. & Icon Color', '#1d62b8'); 

addColorPalatOption($wp_customize, 'call_now_subheadbrdclr', 'call_now_section', 'Section Phone No. Border Color', '#1d62b8'); 
$wp_customize->add_setting(
    'call_now_list1',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '<li>24/7 SERVICE</li>', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'call_now_list1',
    array(
        'settings'      => 'call_now_list1',
        'section'       => 'call_now_section',
        'type'          => 'textarea',
        'label'         => __( 'Section list One', 'Luzuk' )
    )
);

$wp_customize->add_setting(
    'call_now_list2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '<li>FAST SERVICE</li>', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'call_now_list2',
    array(
        'settings'      => 'call_now_list2',
        'section'       => 'call_now_section',
        'type'          => 'textarea',
        'label'         => __( 'Section list Two', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'sec_icnclr', 'call_now_section', 'Section list Icon Color', '#1d62b8');

addColorPalatOption($wp_customize, 'sec_icnlistclr', 'call_now_section', 'Section list Title Color', '#1d62b8');


$wp_customize->add_setting(
    'call_now_maintitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Bicycle Repair', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'call_now_maintitle',
    array(
        'settings'      => 'call_now_maintitle',
        'section'       => 'call_now_section',
        'type'          => 'text',
        'label'         => __( 'Section Title', 'Luzuk' )
    )
);


addColorPalatOption($wp_customize, 'call_now_titlebgclr', 'call_now_section', 'Section Title Box BG Color', '#1d62b8'); 

addColorPalatOption($wp_customize, 'call_now_titlebrdclr', 'call_now_section', 'Section Title Box Border Color', '#fff'); 

addColorPalatOption($wp_customize, 'call_now_titleclr', 'call_now_section', 'Section Title Color', '#fff'); 
